Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84410 - ncpmount no longer works with 2.4.18-27.7xsmp
Summary: ncpmount no longer works with 2.4.18-27.7xsmp
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-16 03:06 UTC by Konrad J. Hambrick
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:32 UTC


Attachments (Terms of Use)

Description Konrad J. Hambrick 2003-02-16 03:06:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
We use ncpmount to rsync our Novell 4.2
server thru a rh7.2 box to a server with
a tape drive:

ncpmount -S NovellBox /mnt/Novell -U UUUUUUUU -P PPPPPPPP
cd /mnt/Novell
rsync -essh -avz --exclude=sys/ --ignore-errors . /var/novell

Result:  

rsync starts ...
building file list ... link_stat . : Stale NFS file handle

then exits

This function has worked for 18-months-or-so
until last week when we upgraded from 2.4.9-31smp
to 2.4.18-27.7xsmp.

The Novell Volume mounts ok.

I can cd to:        /mnt/Novell/vol1

I can execute:      ls -laR

I can NOT execute:  find /mnt/Novell -print

I can NOT execute:  rsync ...

I can execute:      cp -p some-file /tmp/

Wazzup ?

Version-Release number of selected component (if applicable):
ncpfs-2.2.0.18-6
kernel-smp-2.4.18-18.7.x


How reproducible:
Always

Steps to Reproduce:
1. ncpmount -S novell-box /mnt/novell -U UUUUUUUU -P PPPPPPPP
2. cd /mnt.novell
3. rsync -essh -avz --exclude=sys/ --ignore-errors . some-target/
    

Actual Results:  rsync starts ...
building file list ... link_stat . : Stale NFS file handle


Expected Results:  Incremental backup of Novell files to a Linux Directory

Additional info:

This __did__ work with ncpfs-2.2.0.18-6 and kernel-smp-2.4.9-31

See Above

Comment 1 Konrad J. Hambrick 2003-02-16 03:25:09 UTC
I forgot to mention I saw a similar bug
via google on the LKML:

http://www.uwsg.iu.edu/hypermail/linux/kernel/0209.2/1612.html

Also Andrew Morton has 'fixed' ncpfs for
the 2.5 tree just today:

http://linuxtoday.com/news_story.php3?ltsn=2003-02-16-003-26-NW-KN-DV
...
Andrew Morton <akpm@digeo.com>:
   ...
   o ncpfs compile fix
   o de4x5 compile fix

Also in Steps to Reproduce, Step 2 should read:  cd /mnt/novell

Thanks again.

-- kjh
  

Comment 2 Konrad J. Hambrick 2003-03-21 05:21:39 UTC
Installed kernel-smp-2.4.18-27.7.x.i686.RPM

ncpmount now works.

Thanks !

Comment 3 Bugzilla owner 2004-09-30 15:40:32 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.